io.milvus.bulkwriter.storage.client

## Class AzureStorageClient

- java.lang.Object
- - io.milvus.bulkwriter.storage.client.AzureStorageClient

All Implemented Interfaces:
  StorageClient

    public class AzureStorageClient
    extends java.lang.Object
    implements StorageClient

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `checkBucketExist(java.lang.String bucketName)`
`java.lang.Long` `getObjectEntity(java.lang.String bucketName, java.lang.String objectKey)`
`static AzureStorageClient` `getStorageClient(java.lang.String connStr, java.lang.String accountUrl, com.azure.core.credential.TokenCredential credential)`
`void` `putObjectStream(java.io.InputStream inputStream, long contentLength, java.lang.String bucketName, java.lang.String objectKey)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStorageClient

    public static AzureStorageClient getStorageClient(java.lang.String connStr,
                                                      java.lang.String accountUrl,
                                                      com.azure.core.credential.TokenCredential credential)

#### getObjectEntity

    public java.lang.Long getObjectEntity(java.lang.String bucketName,
                                          java.lang.String objectKey)

Specified by:
  `getObjectEntity` in interface `StorageClient`

#### putObjectStream

    public void putObjectStream(java.io.InputStream inputStream,
                                long contentLength,
                                java.lang.String bucketName,
                                java.lang.String objectKey)

Specified by:
  `putObjectStream` in interface `StorageClient`

#### checkBucketExist

    public boolean checkBucketExist(java.lang.String bucketName)

Specified by:
  `checkBucketExist` in interface `StorageClient`